Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class DESedePKCS11KeyParameterSpec

    java.lang.Object
      com.ibm.crypto.pkcs11impl.provider.DESedePKCS11KeyParameterSpec

All Implemented Interfaces:
  PKCS11SecretKeyParameterSpec, java.security.spec.AlgorithmParameterSpec

Deprecated. Use GeneralPKCS11KeyParameterSpec instead.

    public class DESedePKCS11KeyParameterSpec

extends java.lang.Object
implements PKCS11SecretKeyParameterSpec

This class specifies a PKCS11 DESede key generation specification

Constructor Summary
`DESedePKCS11KeyParameterSpec(java.lang.String keyIdentifier, java.lang.String label)` Deprecated.
`DESedePKCS11KeyParameterSpec(java.lang.String keyIdentifier, java.lang.String label, java.lang.Boolean isToken, java.lang.Boolean isSensitive, java.lang.Boolean encryption, java.lang.Boolean wrapping, java.lang.Boolean extractable)` Deprecated.

Method Summary
`java.lang.Boolean` | `getEncrypt()` Deprecated.
`java.lang.Boolean` | `getExtractable()` Deprecated.
`java.lang.String` | `getKeyID()` Deprecated.
`java.lang.Integer` | `getKeyType()` Deprecated.
`java.lang.String` | `getLabel()` Deprecated.
`java.lang.Boolean` | `getSensitive()` Deprecated.
`java.lang.Boolean` | `getToken()` Deprecated.
`java.lang.Boolean` | `getWrap()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DESedePKCS11KeyParameterSpec

    public DESedePKCS11KeyParameterSpec(java.lang.String keyIdentifier,
                                        java.lang.String label,
                                        java.lang.Boolean isToken,
                                        java.lang.Boolean isSensitive,
                                        java.lang.Boolean encryption,
                                        java.lang.Boolean wrapping,
                                        java.lang.Boolean extractable)

  Deprecated.

  DESedePKCS11KeyParameterSpec which defines what this key can do.

  Parameters:
    `keyIdentifier` - the data that identifies this key from another key.
    `label` - to describe the keys.
    `isToken` - is set to True if the key is to be a token object.
    `isSensitive` - is set to True if the key is sensitive.
    `encryption` - is set to True if the key can be used for encrypting and decrypting data.
    `wrapping` - is set to True if the key can be used to wrapping/unwrapping other keys.
    `extractable` - is set to True to allow the key to be wrapped with another key.

### DESedePKCS11KeyParameterSpec

    public DESedePKCS11KeyParameterSpec(java.lang.String keyIdentifier,
                                        java.lang.String label)

  Deprecated.

  DESedePKCS11KeyParameterSpec This defaults the key pair to be able to do signature functions, encrypt/decrypt functions and allows the key to be used for wrapping functions. Also, the key will not be sensitive and it can be wrapped by another key and the keys are not to be saved on the token.

  Parameters:
    `keyIdentifier` - the data that identifies this key from another key.
    `label` - that describes the key.

Method Detail

### getKeyType

    public java.lang.Integer getKeyType()

  Deprecated.

  Returns the key type

  Specified by:
    `getKeyType` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the key type

### getKeyID

    public java.lang.String getKeyID()

  Deprecated.

  Returns the associated key identifier.

  Specified by:
    `getKeyID` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the key identifier

### getLabel

    public java.lang.String getLabel()

  Deprecated.

  Returns the label for the key.

  Specified by:
    `getLabel` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the label

### getToken

    public java.lang.Boolean getToken()

  Deprecated.

  Returns if the the key is a session or token key.

  Specified by:
    `getToken` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if key is a token key, false the key is only related to the session.

### getSensitive

    public java.lang.Boolean getSensitive()

  Deprecated.

  Returns if the key is sensitive.

  Specified by:
    `getSensitive` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key is sensitive, false otherwise.

### getEncrypt

    public java.lang.Boolean getEncrypt()

  Deprecated.

  Returns the if the key can be used for encryption/decryption operations.

  Specified by:
    `getEncrypt` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can do encryption/decryption operations, false otherwise.

### getWrap

    public java.lang.Boolean getWrap()

  Deprecated.

  Returns if the key can be used for wrapping operations.

  Specified by:
    `getWrap` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can do wrapping operations, false otherwise.

### getExtractable

    public java.lang.Boolean getExtractable()

  Deprecated.

  Returns the if the key can be wrapped by another key.

  Specified by:
    `getExtractable` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can be wrapped by another key, false otherwise.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD